#include <raylib.h>

class Circle
{
public:
	static void init();
	static void deinit();
	static void setColor(Color color);
	static void setSoftEdge(bool soft);
	static void draw(float x, float y, float size);

	Circle() = delete;

private:
	static const int sizeTexute = 250;
	static RenderTexture2D target;
	static Shader shader;

	static float radius;
	static float start_transperency;
	static float c[3];

	static int radius_loc;
	static int start_transperency_loc;
	static int colorLoc;
};
